# Inspect

## Table of Contents

- [Introduction](#introduction)
- [Subtools](#subtools)
- [Usage](#usage)


## Introduction

The `data` tool can be used to manipulate input and output data created by Polygraphy.


## Subtools

- `to-input` has two functions:
    1. Converts outputs written by `--save-outputs` to `feed_dict`s compatible with `--load-inputs`
    2. Merges outputs written by `--save-outputs` with inputs written by `--save-inputs` into `feed_dict`s compatible with `--load-inputs`


## Usage

See `polygraphy data -h` for usage information.
